@import 'variables';

:host {
  display: block;
  background-color: $drag-and-drop-bg;
  padding: 10px;
}

.content {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;

  &.valid {
    background-color: $green-accent-lightest;
  }

  &.invalid {
    background-color: $red-light;
    
    .show-btn {
      color: $red-dark;
    }
  }  
}

.show-btn {
  color: $blue-secondary;
  cursor: pointer;
}

.close-btn {
  font-size: 36px;
  cursor: pointer;
}

.validation-error {
  color: $red-dark;
  margin: 10px 5px;
}